/**
 * Copyright (C) 2012 Linutop SAS <http://www.linutop.com/>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef CONFIG_NETWORK_H
#define CONFIG_NETWORK_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <gtk/gtk.h>

#include "wk-key-file.h"

inline GHashTable *config_network_get_hash (WkKeyFile *kf);

GtkWidget *config_network_get_widget (GHashTable *hash);

void config_network_save_config (WkKeyFile *kf, GHashTable *hash);

#endif /* !CONFIG_NETWORK_H */

